Russian Qt Forum
Декабрь 10, 2022, 10:48 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
 
  Начало   Форум  WIKI (Вики)FAQ Помощь Поиск Войти Регистрация  

Страниц: [1]   Вниз
  Печать  
Автор Тема: Qt 5.15.2 for Android: build.gradle: неверное указание buildToolsVersion  (Прочитано 869 раз)
AkonResumed
Чайник
*
Offline Offline

Сообщений: 81


Просмотр профиля
« : Июль 23, 2021, 09:44 »

В файле ~/Qt/5.15.2/android/src/android/templates/build.gradle имеем следующее:
Код:
buildToolsVersion '28.0.3'
С какого здесь хардкорная версия? Напомню, это исходный шаблон, и он копируется при сборке Qt-Android приложения.
Должно же быть
Код:
buildToolsVersion androidBuildToolsVersion
где androidBuildToolsVersion уже изменяются через локальный gradle.properties проекта.

Если нет некоего тонкого момента, которого я сходу не улавливаю, возможно, связанного с совместиностью версий, то это просто небрежный баг, свидетельствующий о снижении качества разработки Qt/
Записан
Страниц: [1]   Вверх
  Печать  
 
Перейти в:  


Страница сгенерирована за 0.04 секунд. Запросов: 23.